import * as Koa from "koa";
import { ILennthApplication } from "../interfaces";
export declare abstract class LennethApplication implements ILennthApplication {
    private app;
    private lennethSetting;
    private routerService;
    private paramsService;
    private logger;
    constructor();
    private _setSettings;
    private _callHook;
    private _loadInterceptor;
    private _loadBodyParser;
    private _loadRouters;
    private _errorMiddleware;
    private _responseMiddleware;
    private _loadMiddleware;
    private _startServer;
    use(middleware: Koa.Middleware): this;
    start(): Promise<any>;
}
