"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const _decorators_1 = require("../decorators");
const _services_1 = require("../services");
let LennethGlobalError = class LennethGlobalError {
    async use(error) {
        this.logger.error(error);
    }
};
tslib_1.__decorate([
    _decorators_1.Autowired("lenneth-global-error"),
    tslib_1.__metadata("design:type", _services_1.LoggerService)
], LennethGlobalError.prototype, "logger", void 0);
tslib_1.__decorate([
    tslib_1.__param(0, _decorators_1.Err()),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [Object]),
    tslib_1.__metadata("design:returntype", Promise)
], LennethGlobalError.prototype, "use", null);
LennethGlobalError = tslib_1.__decorate([
    _decorators_1.ErrorMiddlewar()
], LennethGlobalError);
exports.LennethGlobalError = LennethGlobalError;
class LennethError extends Error {
    constructor(err_opt) {
        super();
        this.name = err_opt.name;
        this.code = err_opt.code;
        this.message = err_opt.message;
    }
}
exports.LennethError = LennethError;
//# sourceMappingURL=lenneth-error.js.map