import { IServerSettings, TImports, ILogFileSetting } from "../interfaces";
export declare class LennethSetting implements IServerSettings {
    rootDir: string;
    port: string | number;
    env: string;
    imports: TImports;
    globalError: Function;
    response: Function;
    interceptor: Function;
    logFileSetting: ILogFileSetting;
    static serverSettingMap: Map<string, any>;
    getMetadata(target: any): any;
    setMap(propertyKey: string | IServerSettings, value?: any): void;
    getHttpPort(): {
        hostname: string;
        port: string | number;
    };
}
