"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _utils_1 = require("../../utils");
const _services_1 = require("../../services");
exports.UseBefore = (...middClassList) => {
    return (target, name, descriptor) => {
        let middlewareList = [];
        middClassList.forEach(item => {
            let paramsMapKey = _services_1.ParamsService.fomartParamsMapKey(item, "use");
            let useBeforeMiddlewareName = `${_utils_1.getClassName(target)}_${name}_${paramsMapKey}`;
            _services_1.ParamsService.paramsMap.set(useBeforeMiddlewareName, _services_1.ParamsService.paramsMap.get(paramsMapKey));
            middlewareList.push(item.prototype["use"]);
        });
        target[name] = _utils_1.toArray(target[name]);
        target[name] = middlewareList.concat(target[name]);
    };
};
//# sourceMappingURL=useBefore.js.map