import { IBaseInterface } from "./IBase.interface";
import { ILogFileSetting } from "./ILogFileSetting";
export declare type TImports = {
    [path: string]: Function[] | Function;
};
export interface IServerSettings extends IBaseInterface {
    rootDir?: string;
    port?: string | number;
    imports?: TImports;
    interceptor?: Function;
    globalError?: Function;
    response?: Function;
    env?: string;
    logFileSetting?: ILogFileSetting;
    [key: string]: any;
}
