import { IMiddleware, IContext, TResponse, TNext } from "../interfaces";
import { ResponseStatus } from "../common";
export declare class LennethResponse implements IMiddleware {
    use(response: TResponse, next: TNext, ctx: IContext): Promise<{
        code: number;
        message: ResponseStatus;
        data: any;
    } | {
        code: number;
        message: ResponseStatus;
        data?: undefined;
    }>;
}
