"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("util");
function Deprecated(message) {
    return (target, targetKey, descriptor) => {
        const originalMethod = descriptor.value;
        descriptor.value = util_1.deprecate(originalMethod, message);
        return descriptor;
    };
}
exports.Deprecated = Deprecated;
//# sourceMappingURL=deprecated.js.map