/// <reference types="koa-router" />
/// <reference types="koa-bodyparser" />
import * as Koa from "koa";
import { IBaseInterface } from "./IBase.interface";
export interface IContext extends Koa.Context {
}
export declare type TMiddleware = Koa.Middleware;
export declare type TResponse = Koa.Response;
export declare type TRequest = Koa.Request;
export declare type TApiMiddleware = (...args: any[]) => Promise<any>;
export declare type TNext = () => Promise<any>;
export declare type TPromise = () => Promise<any>;
export interface IErrorResponse {
    message?: string;
    code?: string | number;
    name?: string;
}
export interface ILenneth extends IBaseInterface {
    $onInit?(): void | Promise<any>;
    $onMountingMiddlewares?: Function;
    $beforeRoutesInit?: Function;
    $onRoutesInit?: Function;
    $afterRoutesInit?: Function;
    $onReady?: Function;
    $onServerInitError?(error: any): any;
    [key: string]: any;
}
