/// <reference types="koa-bodyparser" />
/// <reference types="koa-router" />
import * as Koa from "koa";
import { IRouterPathConfig, TApiMiddleware } from "../interfaces";
export declare class RouterService {
    private router;
    private paramsService;
    private loggerService;
    constructor();
    static DecoratedRouters: Map<IRouterPathConfig, TApiMiddleware | Array<TApiMiddleware>>;
    static DescriptionMap: Map<string, string>;
    loadRouter(app: Koa): void;
    joinControllerPath(imports: any): void;
    _startWithSep(key: string): string;
}
